Subject: RE: [SCTP]Congestion Control Parameters

From: Tuexen Michael <[email-masked]>
Date: Mon, 28 Oct 2002 12:21:54 +0100

Hi Andrea,

in SCTP terminology a path towards a peer is a transport address.
An outgoing interface is NOT considered.

Best regards
Michael

Michael Tuexen   Tel.:   +49 89 722 47210
Siemens AG       Fax:    +49 89 722 48212
ICN WN CC SE 7   e-mail: [email-masked]

> -----Original Message-----
> From: Andrea Senatore [mailto:[email-masked]]
> Sent: Monday, October 28, 2002 10:39 AM
> To: [email-masked]; [email-masked]
> Subject: [SCTP]Congestion Control Parameters
> 
> 
> Hi to all,
> I have a confusion on Section 7.1 of RFC 2960......
> 
> 
> 
> <SNIP>
> SCTP is designed to establish robust communication 
> associations between 
> two endpointeach of which may be reachableby more than one transport 
> address. Potentially different addresses may lead to different data 
> *paths* between the two endpoints, thus ideally one may need a 
> *separate* set of congestion control parameters for each of 
> the *paths*.
> <SNIP>
> ......
> <SNIP>
> The sender keeps a separate congestion control parameter set 
> for each of 
> the destination address it can send to (*not* for each 
> source-destination *pair* but for each *destination*).
> <SNIP>
> 
> I don't understand.... "one need a *separate* set of 
> congestion control 
> parameters for each of the *path*, and then keeps this set *only* for 
> each destination address". 
> CWND, RTO, RTT, etc., depend upon used path and *not* upon 
> destination 
> address.
> When host send packets through a different interface but at same 
> destination address this parameters must change because the 
> path change...
> 
> Best rgds
> 
> -- Andrea
> ========================================================
> Andrea Senatore,     
> Mail:    [email-masked],
> Address: CoRiTeL c/o Università degli Studi di Salerno,
>          Facoltà di Ingegneria,  via Ponte Don Melillo,
>          84084 - FISCIANO (SA) - Italy
> Tel:     +39 089 964012
> Fax:     +39 089 964010
> ========================================================
> 
> 
>

---

From: <[email-masked]>
Date: Tue, 29 Oct 2002 13:43:01 +0200

snip...

> An endpoint cannot control completely the path used to send packets 
> (i.e. all routers), but can choose the source and destination 
> IP address.
> I believe that source-destination IP pairs identifies the path better 
> than only destination IP address.
> Why need I use different congestion control parameters for 
> different  IP 
> destination in SCTP ?
> Because if I change the IP destination address, probably the path 
> changes, and then all congestion control parameters MUST change.
> But the path changes also if  I change IP source address (if is it 
> possible..)  and, for the same reasons,  all congestion control 
> parameters MUST change.

	This is precisely the problem... If you change your source address, logically the packets are sent from that address... However, in most of the cases, physically nothing changes: packets go out from the same network card with an "artificial" change in the source address... :-/

	So, in most of the cases, changing the source address simply involves changes in the return path (the acks are sent back to the other address rather than the "real" source address).

	Besides, this situation in which you set your source address to an "artificial" ones is not really a nice thing... Imagine that you are in this situation, having two source addresses. In this case no matter which one of your network adapters stop working, the association will fail as soon as one of them crashes (you loss either the DATA or the SACKs, i.e., you never receive the SACKs for your DATA chunks). In this case the "reliability" added by the use of two adapters really becomes "unreliability" (you have about twice the possibilities of losing the connection).

	BR Iván Arias Rodríguez